Skip to content

List Kubernetes Versions

GET
/tenant_clusters/k8s_versions/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/tenant_clusters/k8s_versions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the Kubernetes versions offered for new clusters, most recently added first. Send a version’s id as tenant_k8s_version_id in Create Kubernetes Cluster.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

The versions offered now.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
version
string
is_active
boolean
created_at
string format: date-time
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1,
"version": "v1.31.4",
"is_active": true,
"created_at": "2026-09-01T08:00:00Z"
}
],
"errors": {},
"message": "Success"
}